@import (reference) '../Messages.variables.import.less';

.message-list-container {
  flex: 1 1 auto;
  position: relative;
  .message-list {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    .ui.comments {
      flex: 1 1 auto;
      display: flex;
      flex-direction: column;
      justify-content: flex-end;
      padding: 0.5em 1em;
    }
    .load-more {

    }
    .divider {
      font-size: 0.825em;
      font-weight: 500;
    }
    .since.divider {
      color: @color;
    }
    .new.divider {
      display: flex;
      white-space: nowrap;
      color: @teal;
      font-weight: 600;
      &:before {
        content: '';
        height: 1px;
        background-color: @teal;
        top: 0.75em;
        position: relative;
        flex: 1 1 auto;
        margin-right: 1em;
      }
    }
  }
  .new-message-indicator {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    padding: 1em;
    justify-content: center;
  }
}